# Haste-It Installation Guide

Welcome to the installation guide for Haste-It, a tool for uploading content to a Hastebin server.

## Installation

Install Haste-It by executing the following command in your terminal:

```bash
curl -sSL https://git.nixc.us/Nixius/haste-it/raw/branch/main/install.sh | sudo bash
```

This command fetches the `install.sh` script directly and runs it, handling the installation of the correct binary for your system's architecture.

## Configuration

After installation, configure the environment variable for your Hastebin server by adding the following line to your shell's configuration file (e.g., `.bashrc`, `.zshrc`):

```bash
export HASTEBIN_URL="https://your-hastebin-server.com"
```

Replace `https://your-hastebin-server.com` with the actual URL of your Hastebin server.

Understood, let's adjust the "Usage" section of the README to clearly explain that the `haste-it` tool can accept text input not only from a file but also directly from a piped string, which enhances its flexibility for different use cases. Here’s the revised "Usage" section to reflect this capability:

## Usage

Once installed and configured, you can use Haste-It in several ways:

1. **From a File**: To upload text from a file, simply use the command:
   ```bash
   haste-it [file]
   ```
   Replace `[file]` with the path to the file you want to upload.

2. **From Standard Input**: If no file is specified, `haste-it` can read from standard input. This allows you to pipe data directly into the command. For example:
   ```bash
   echo "Hello, world!" | haste-it
   ```
   or:
   ```bash
   cat mytext.txt | haste-it
   ```
   This is useful for integrating `haste-it` into scripts or workflows where you want to quickly upload output from other commands.

## Note

This installation is intended as a one-off setup. No updates or maintenance will be provided.